package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * @Author: π
 * @Description: 案件类型合并
 */
public class case_type_merge extends UDF {


    public String evaluate(String case_type_t) {

        List case_type = (List) JSON.parseArray(case_type_t);
        if (case_type == null || case_type.size() == 0) {
            return null;
        }

        if (case_type.size() == 1) return case_type.get(0).toString();

        String tp1 = "民事案件";
        String tp2 = "执行案件";
        String tp3 = "刑事案件";
        String tp4 = "行政案件";
        String tp5 = "管辖案件";
        String tp6 = "保全案件";
        if (case_type.contains(tp1)) {
            return tp1;
        } else if (case_type.contains(tp2)) {
            return tp2;
        } else if (case_type.contains(tp3)) {
            return tp3;
        } else if (case_type.contains(tp4)) {
            return tp4;
        } else if (case_type.contains(tp5)) {
            return tp5;
        } else if (case_type.contains(tp6)) {
            return tp6;
        } else {
            return case_type.get(0).toString();
        }
    }


    public static void main(String[] args) {
        String date = "[\"民事案件1\",\"管辖案件\"]";
        case_type_merge n = new case_type_merge();
        System.out.println(n.evaluate(date));
    }

}


